SD_JOURNAL_ENUMERATE_FIELDS(3)

NAME
sd_journal_enumerate_fields, sd_journal_restart_fields, SD_JOURNAL_FOREACH_FIELD - Read used field names from the journal

SYNOPSIS

#include <elogind/sd-journal.h>

int sd_journal_enumerate_fields(sd_journal *j, const char **field);

void sd_journal_restart_fields(sd_journal *j);

SD_JOURNAL_FOREACH_FIELD(sd_journal *j, const char *field);

DESCRIPTION

As elogind can not open any systemd journals, the functions sd_journal_enumerate_fields(), sd_journal_restart_fields() and the macro SD_JOURNAL_FOREACH_FIELD() do nothing.

RETURN VALUE

sd_journal_enumerate_fields() always returns 0. sd_journal_restart_fields() returns nothing.

SEE ALSO

elogind(8), elogind.journal-fields(7), sd_journal_open(3), sd_journal_query_unique(3), sd_journal_get_data(3), sd_journal_add_match(3)